## org.eclipse.datatools.modelbase.sql.query
Interface ValueExpressionCaseSimple

All Superinterfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic, ValueExpressionCase

All Known Implementing Classes:
  ValueExpressionCaseSimpleImpl

public interface ValueExpressionCaseSimple
extends ValueExpressionCase

A representation of the model object 'SQL Value Expression Case Simple'.

The following features are supported:

- `Content List`
- `Value Expr`

See Also:
  `SQLQueryModelPackage.getValueExpressionCaseSimple()`

Method Summary
`EList` `getContentList()` Returns the value of the 'Content List' containment reference list.
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionCase
`getCaseElse, setCaseElse`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getContentList

    public EList getContentList()

  Returns the value of the 'Content List' containment reference list. The list contents are of type `ValueExpressionCaseSimpleContent`. It is bidirectional and its opposite is '`Value Expr Case Simple`'.

  If the meaning of the 'Content List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getValueExpressionCaseSimple_ContentList()`, `ValueExpressionCaseSimpleContent.getValueExprCaseSimple()`

### getValueExpr

    public QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference. It is bidirectional and its opposite is '`Value Expr Case Simple`'.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getValueExpressionCaseSimple_ValueExpr()`, `QueryValueExpression.getValueExprCaseSimple()`

### setValueExpr

    public void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.